Bug 2011815 - Kubelet rejects pods that use resources that should be freed by completed pods
Summary: Kubelet rejects pods that use resources that should be freed by completed pods
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.0
Assignee: Ryan Phillips
QA Contact: Weinan Liu
URL:
Whiteboard:
: 1993985 2005225 (view as bug list)
Depends On: 2011513
Blocks: 2011956
TreeView+ depends on / blocked
 
Reported: 2021-10-07 13:09 UTC by Ryan Phillips
Modified: 2021-12-03 15:43 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2011513
: 2011956 (view as bug list)
Environment:
[sig-arch] events should not repeat pathologically
Last Closed: 2021-10-18 17:52:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 1009 0 None Merged [release-4.9] Bug 2011815: UPSTREAM: 105527: kubelet: do not arbitrarily create a podSyncStatus for finished pods 2021-10-08 13:14:11 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:52:50 UTC

Comment 10 Ryan Phillips 2021-10-11 17:58:01 UTC
*** Bug 1999325 has been marked as a duplicate of this bug. ***

Comment 11 Ryan Phillips 2021-10-11 18:03:53 UTC
*** Bug 1993985 has been marked as a duplicate of this bug. ***

Comment 12 Ryan Phillips 2021-10-11 21:21:39 UTC
*** Bug 2005225 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2021-10-18 17:52:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.